Substy Developers
Billing

List wallet transactions

List agency wallet transactions using the supplied date, type and pagination filters.

GET/v1/agencies/{agencyId}/wallet/transactions

List agency wallet transactions using the supplied date, type and pagination filters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

limit?number
Range1 <= value <= 100
Default20
cursor?string
page?number
Range1 <= value
creatorId?string|array<string>
startDate?string

ISO 8601 timestamp including a timezone offset.

Formatdate-time
endDate?string

ISO 8601 timestamp including a timezone offset.

Formatdate-time
status?array<>
type?|array<>
search?string
sortBy?string
Default"createdAt"

Value in

  • "createdAt"
  • "amount"
  • "status"
  • "type"
sortOrder?string
Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/wallet/transactions" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "transactions": [      {        "id": "string",        "amount": 0,        "description": "string",        "status": "PENDING",        "type": "AUTO",        "processor": "CRYPTO",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "currency": "string",        "walletAddress": null,        "transactionId": null,        "invoiceUrl": "string",        "invoiceId": null,        "invoiceNumber": null,        "creatorId": null,        "creatorName": null,        "fanId": null,        "fanName": null,        "messageId": null,        "purchaseType": null,        "mcpCallCount": null      }    ],    "pagination": {      "hasMore": true,      "nextCursor": null,      "page": null,      "totalPages": null,      "totalCount": null,      "limit": 0    }  },  "meta": {    "requestId": "string"  }}